SoFontStyle(3)

NAME
SoFontStyle - The SoFontStyle class changes the appearance of fonts for text rendering nodes.

SYNOPSIS

#include <Inventor/nodes/SoFontStyle.h>

Inherits SoFont.

  Public Types
enum Family { SERIF, SANS, TYPEWRITER }
enum Style { NONE, BOLD, ITALIC }

  Public Member Functions
virtual SoType getTypeId (void) const
SoFontStyle (void)
SbString getFontName (void) const
virtual void doAction (SoAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void pick (SoPickAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFEnum family
SoSFBitMask style

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoFontStyle ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoFontStyle class changes the appearance of fonts for text rendering nodes. Successive text rendering nodes will use fonts with the style settings of this node, if a font with the given settings can be found and loaded from the system.

If the specified font style cannot be found on the client system, a default fallback will be used. So the application programmer must consider SoFontStyle nodes as nodes giving hints about font settings, as you are not guaranteed to get exactly what you want.

Currently the SERIF family is mapped to 'Times New Roman', SANS is mapped to 'Arial' and TYPEWRITER is mapped to 'Courier New'.

Please note that this node is inheriting SoFont. Previous font settings in a branch will therefore be overwritten with the default values of SoFont if an empty SoFontStyle node is inserted in the branch.

NB! This node is provided for reasons of compatibility with Open Inventor 2.1 but will in most cases result in the default font being rendered. It is highly recommended to use the SoFont node instead.

FILE FORMAT/DEFAULTS:

FontStyle {
    name "defaultFont"
    size 10
    family SERIF
    style ()
}

Since
    SGI Inventor 2.1

See also
    SoFont, SoText2, SoText3, SoAsciiText

Member Enumeration Documentation

  enum SoFontStyle::Family
Enumeration of the font family to use.

Enumerator

SERIF
    Serif font family should be used.

SANS
    Sans serif font family should be used.

TYPEWRITER
    Type writer font family should be used.

  enum SoFontStyle::Style
Enumeration of font style characteristics.

Enumerator

NONE
    No modification to the style attributes of the font family.

BOLD
    The bold font of the font family should be used.

ITALIC
    The italic font of the font family should be used.

Constructor & Destructor Documentation

  SoFontStyle::SoFontStyle (void)
Constructor.

  SoFontStyle::~SoFontStyle () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoFontStyle::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoFontStyle::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoFont.

  const SoFieldData ** SoFontStyle::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoFontStyle::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFont.

  SbString SoFontStyle::getFontName (void) const
Returns a system specific text string to use for font loading, based on the style settings of this node.

  void SoFontStyle::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoFont.

  void SoFontStyle::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoFont.

  void SoFontStyle::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoFont.

  void SoFontStyle::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoFont.

  void SoFontStyle::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoFont.

  void SoFontStyle::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoFont.

Member Data Documentation

  SoSFEnum SoFontStyle::family
Font family hint.

  SoSFBitMask SoFontStyle::style
Font style hint.

Author

Generated automatically by Doxygen for Coin from the source code.